Skip to navigation

Get the cluster metrics data.

View as Markdown

Retrieve the metrics data for a Kubernetes cluster by Universally Unique Identifier (UUID).

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

clusterUuidstringRequiredformat: "uuid">=1 character

The Universally Unique Identifier (UUID) of the cluster.

Query parameters

startdatetimeRequired
Start date of time range to fetch data in ISO 8601 timestamp format.
enddatetimeRequired
End date of time range to fetch data in ISO 8601 timestamp format.
numberOfSamplesintegerOptional0-1000Defaults to 20
The number of samples to take in the specified time range.
metricTypelist of enumsRequired
specifies what data to request
groupByenumOptional

Labels to group the returned metrics data by. Grouping availability depends on the selected metric type. Supported values: “category” (workload category) or “node pool”.

Allowed values:
nodepoolNamestringOptional
Filter using the nodepool.

Response

Executed successfully.
measurementslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error
503
Service Unavailable Error